PDA

View Full Version : Z64 LLE gfx


ExtremeDude2
24th April 2011, 10:28 PM
This currently does not work in 1.7, it would be nice if it did (no, I have NOT donated, but I know that it does not work in 1.7) for those who have not heard of Z64 you can see it here (http://www.emutalk.net/threads/40640-Z64-a-LLE-graphics-plugin)

HatCat
24th April 2011, 10:33 PM
LLE for gfx doesn't work with stunt racer or world driver, but it works for most the other games on pj64 1.7.

ExtremeDude2
24th April 2011, 10:36 PM
LLE for gfx doesn't work with stunt racer or world driver, but it works for most the other games on pj64 1.7.

It does? I thought it did not

HatCat
24th April 2011, 10:41 PM
I just now got it to start up with Mario64. It wasn't working before when I had some of the z64 stuff in my global plugin settings rather than the per-game ones though.

Conditionally, z64gl also might not work with Project64 1.6, based on the settings you've set in the Z64GL.CONF configuration resource.


# run RDP emulator in a separate thread
# REQUIRED with Pj64 1.6 and below (not with 1.7), or along with the "async" option
threaded = 1

# emulate RDP asynchronously, might be faster, needs "threaded = 1" option
# a bit unstable, also fb_info is currently forced to off then
async = 1

ExtremeDude2
25th April 2011, 12:37 AM
I just now got it to start up with Mario64. It wasn't working before when I had some of the z64 stuff in my global plugin settings rather than the per-game ones though.

Conditionally, z64gl also might not work with Project64 1.6, based on the settings you've set in the Z64GL.CONF configuration resource.


# run RDP emulator in a separate thread
# REQUIRED with Pj64 1.6 and below (not with 1.7), or along with the "async" option
threaded = 1

# emulate RDP asynchronously, might be faster, needs "threaded = 1" option
# a bit unstable, also fb_info is currently forced to off then
async = 1


That would explain why it would not work in 1.6 for me(I had to use 1964 1.1)
I thought that my 1.6 was just messed up (although it does not work at all now:( guess I have to reinstall it).

HatCat
25th April 2011, 01:37 AM
It's easier to get working in Project64 1.7 than 1.6 because the multi-threading design was changed. Of course changing the RSP plug-in is also easy to do in that case.